'''
Author:      www.tropofy.com

Copyright 2013 Tropofy Pty Ltd, all rights reserved.

This source file is part of Tropofy and govered by the Tropofy terms of service
available at: http://www.tropofy.com/terms_of_service.html

This source file is distributed in the hope that it will be useful, but
WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY
or FITNESS FOR A PARTICULAR PURPOSE. See the license files for details.
'''

import os

from setuptools import setup

here = os.path.abspath(os.path.dirname(__file__))
README = open(os.path.join(here, 'README.txt')).read()

requires = [
    'pyramid==1.5a2',
    'SQLAlchemy>=0.8.2,<=0.9.4',
    'transaction==1.4.1',
    'pyramid_tm==0.7',
    'zope.sqlalchemy==0.7.3',
    'waitress==0.8.7',
    'openpyxl==2.1.1', # older version does not preserve formats if loading a template file to fill out
    'pyramid_exclog==0.7',
    'requests==2.0.0',
    'simplekml==1.2.2',
    'pulp>=1.5.4',
    'xlrd==0.9.3',
    'celery>=3.1.12',
    'geopy>=1.1.2',
    # 'pycrypto>=2.6.1',  # -- See http://stackoverflow.com/questions/11405549/how-do-i-install-pycrypto-on-windows
]

setup(
    name='tropofy',
    version='1.6.1',
    description='Tropofy enables problem solvers to deploy their solutions as web apps, without the need for any web development knowledge or experience. Vist http://www.tropofy.com for more info',
    long_description='Tropofy enables problem solvers to deploy their solutions as web apps, without the need for any web development knowledge or experience. Vist http://www.tropofy.com for more info',
    classifiers=[
        "Programming Language :: Python",
    ],
    author='Tropofy',
    author_email='info@tropofy.com',
    url='http://www.tropofy.com',
    license='LICENSE.txt',
    keywords='tropofy, paas, web-app, cloud',
    packages=[
        'tropofy',
        'tropofy.app',
        'tropofy.database',
        'tropofy.database.tropofy_orm',
        'tropofy.file_io',
        'tropofy.celery',
        'tropofy.widgets',
        'tropofy.widgets.examples',
        'tropofy.widgets.grid_widget',
        'tropofy_example_apps',
        'tropofy.scripts',
        'tropofy.libs',
    ],
    include_package_data=True,
    zip_safe=False,
    test_suite='tropofy',
    install_requires=requires,
    entry_points="""\
        [paste.app_factory]
        main = tropofy:main
        [console_scripts]
        tropofy_quickstart = tropofy.scripts.quickstart:main
        tropofy_run = tropofy.scripts.run:main
    """,
)
